@import '../../../../../assets/styles/common.scss';

.left-sidebar-container {
    height: 100%;
    display: flex;
    flex-direction: column;
    background-color: $bgColor;
    justify-content: space-between;
    transition: width 0.35s ease-in-out;
    box-shadow: 0 0 6px rgba(0,0,0,0.3);

    &.minimized {
        width: 66px;

        .left-sidebar-container {
            &-header {
                padding: 0px;
                justify-content: flex-start;

                &-icon,
                &-description {
                    width: 0px;
                    min-width: 0px;
                    margin-left: 0px;
                }

                &-button {
                    &.mdl-button {
                        min-width: 28px;
                        padding: 20px 18px;
                    }
                }
            }

            &-footer {
                border-top: none;

                img {
                    opacity: 0;
                }
            }
        }
    }

    &.full {
        width: 250px;
    }

    &-header {
        width: 100%;
        height: 78px;
        display: flex;
        flex-direction: row;
        align-items: center;
        padding: 0px 12px 0px 14px;
        border-bottom: 1px solid $borderColor;

        &-icon {
            color: white;
            min-width: 36px;
            min-height: 36px;
            transition: min-width 0.15s ease-in;
        }

        &-description {
            width: 128px;
            display: flex;
            color: white;
            min-width: 0px;
            margin-left: 12px;
            flex-direction: column;
            justify-content: center;
            transition: min-width 0.15s ease-in;

            > * {
                overflow: hidden;
                white-space: nowrap;
                display: inline-block;
                text-overflow: ellipsis;
            }

            &-title {
                font-size: 16px;
                line-height: 20px;
                margin-bottom: 0px;

                span {
                    letter-spacing: 0;
                }
            }

            &-domain {
                margin-top: 4px;
                font-size: 12px;
                font-weight: 700;
                padding-top: 4px;
                text-transform: uppercase;
                border-top: 1px solid rgba(255, 255, 255, 0.24);
            }
        }

        &-button {
            &.mdl-button {
                padding: 8px;
                color: white;
                transition: background-color 1s;

                &:active,
                &:hover {
                    background-color: darken($bgColor, 5);
                }
            }
        }
    }

    &-menu {
        width: 100%;
        margin: 0px;
        padding: 0px;
        list-style: none;
        height: calc(100% - 190px);

        &-toogle {
            width: 100%;
            height: calc(100% - 208px);
            overflow-y: auto;
        }

        li {
            width: 100%;
            height: 52px;
            display: flex;
            cursor: pointer;
            list-style: none;
            flex-direction: row;
            align-items: center;

            &:hover {
                background-color: darken($bgColor, 5);
            }

            &.active {
                background-color: darken($bgColor, 15);
            }

            a {
                width: 100%;
                height: 100%;
                width: 100%;
                display: flex;
                color: white;
                font-size: 15px;
                padding: 0px 10px;
                flex-wrap: nowrap;
                align-items: center;
                flex-direction: row;
                text-decoration: none;

                svg {
                    font-size: 28px;
                    min-width: 28px;
                    min-height: 28px;
                    margin-left: 8px;
                }

                span {
                    overflow: hidden;
                    margin-left: 20px;
                    white-space: nowrap;
                    display: inline-block;
                    text-overflow: ellipsis;
                }
            }
        }
    }

    &-footer {
        width: 100%;
        height: 80px;
        padding: 35px 0px 0px 25px;
        transition: border-top 1s;
        border-top: 1px solid $borderColor;

        img {
            width: calc(100% - 50px);
            transition: opacity 1s;
        }
    }
}

@media screen and (max-width: 768px) {
    .left-sidebar-container {
        height: auto;
        height: 110px;
        min-height: 110px;
        transition: width 0s ease-in-out;

        &.full {
            width: 100%;
        }

        &.minimized {
            width: 100%;

            .left-sidebar-container {
                &-header {
                    padding: 0 12px 0 14px;
    
                    &-icon {
                       width: auto;
                       display: block;
                    }
    
                    &-description {
                        width: auto;
                        display: flex;
                        margin-left: 12px;
                    }
                }
            }
        }

        &-header {
            box-sizing: border-box;

            &-description {
                width: 50%;

                &-domain {
                    display: none;      
                }
            }

            &-button {
                &.mdl-button {
                    display: none;
                }
            }
        }

        &-menu {
            display: flex;
            min-height: 52px;
            flex-direction: row;
            
            &-toogle {
                display: none;
            }

            li {
                width: 25%;

                a {
                    justify-content: center;

                    span {
                        display: none;
                    }

                    svg {
                        margin-left: 0px;
                    }
                }
            }
        }

        &-footer {
            display: none;
        }
    }
}

@media screen and (max-height: 420px) and (max-width: 768px) {
    .left-sidebar-container {
        &-menu {
            height: 74px;
        }
    }
}

@media screen and (max-width: 420px) {
    .left-sidebar-container-header-description {
        width: 65%;
    }
}

@media screen and (max-height: 420px){
    .left-sidebar-container {
        &-footer {
            height: auto;
            padding: 15px 25px;
        }

        justify-content: flex-start;
    }
}
